forked from qnblackcat/uYouPlus
-
Notifications
You must be signed in to change notification settings - Fork 222
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- Loading branch information
1 parent
0cda32d
commit d4b06cd
Showing
2 changed files
with
81 additions
and
43 deletions.
There are no files selected for viewing
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,81 @@ | ||
name: Update Submodules | ||
|
||
on: | ||
workflow_dispatch: | ||
|
||
jobs: | ||
update-submodules: | ||
runs-on: ubuntu-latest | ||
|
||
steps: | ||
- name: Checkout code | ||
uses: actions/[email protected] | ||
|
||
- name: Set up Git | ||
run: | | ||
git config --global user.email "[email protected]" | ||
git config --global user.name "GitHub Actions" | ||
- name: Add uYouEnhanced submodules | ||
run: | | ||
git submodule add https://github.com/PoomSmart/FLEXing.git Tweaks/FLEXing | ||
git submodule add https://github.com/dayanch96/uYouLocalization.git Tweaks/uYouLocalization | ||
git submodule add https://github.com/arichorn/YTHoldForSpeed.git Tweaks/YTHoldForSpeed | ||
git add . | ||
git commit -m "added uYouEnhanced submodules" | ||
git push origin | ||
- name: Make .bundle files | ||
run: | | ||
cd Bundles | ||
ln -s ../Tweaks/MrBeastify/layout/Library/Application\ Support/MrBeastify.bundle MrBeastify.bundle | ||
ln -s ../Tweaks/uYouLocalization/layout/Library/Application\ Support/uYouLocalization.bundle uYouLocalization.bundle | ||
ln -s ../Tweaks/YTHoldForSpeed/layout/Library/Application\ Support/YTHoldForSpeed.bundle YTHoldForSpeed.bundle | ||
git add . | ||
git commit -m "Added bundles" | ||
git push origin | ||
- name: Update submodules | ||
run: | | ||
git submodule update --init --recursive --remote Tweaks/Alderis | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/DontEatMyContent | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YTHoldForSpeed | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/MrBeastify | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/PSHeader | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/Return-YouTube-Dislikes | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/uYouLocalization | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YTABConfig | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YTUHD | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YTVideoOverlay | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YouMute | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YouPiP | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YouQuality | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/YouTubeHeader | ||
git add . | ||
git submodule update --init --recursive --remote Tweaks/iSponsorBlock | ||
git add . | ||
git submodule update --init --recursive | ||
git commit -m "updated submodules" | ||
git push | ||
continue-on-error: true | ||
|
||
- name: Check exit code | ||
run: | | ||
exit_code=$? | ||
if [ $exit_code -ne 0 ]; then | ||
echo "Submodule update failed with exit code $exit_code" | ||
exit 1 | ||
fi |